import request from '@/utils/request';
import { AxiosPromise } from 'axios';

/**
 * 获取协议信息
 * @param id 协议ID
 */
export function getAgreement(id: number | string): AxiosPromise<any> {
    return request({
        url: '/system/agreement/' + id,
        method: 'get'
    });
}

/**
 * 修改协议
 * @param data 协议数据
 */
export function editAgreement(data: any) {
    return request({
        url: '/system/agreement/edit',
        method: 'put',
        data: data
    });
}
